Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.view.appearance
Class ViewAppearance

    java.lang.Object
      datechooser.view.appearance.ViewAppearance

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ViewAppearance

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

View profile. Contains rendering options for each cell's type.
Профиль внешнего вида ячейки. Содержит настройки рисования для ячеек каждого типа.

Since:
  1.0
Author:
  Androsov Vadim
See Also:
  Serialized Form

Constructor Summary
`ViewAppearance()` Default constructor, does not make ready to use object.
`ViewAppearance(java.lang.String name, CellAppearance usual, CellAppearance selected, CellAppearance now, CellAppearance scroll, CellAppearance caption, CellAppearance disabled, BackRenderer renderer, boolean canBeTransparent)` Constructs editable calendar view.
`ViewAppearance(java.lang.String name, CellAppearance usual, CellAppearance selected, CellAppearance now, CellAppearance scroll, CellAppearance caption, CellAppearance disabled, BackRenderer renderer, boolean canBeTransparent, boolean editable)` Constructs calendar view.

Method Summary
`void` | `addPropertyChangeListener(java.beans.PropertyChangeListener listener)`
`java.lang.Object` | `clone()`
`CellAppearance` | `getCaption()`
`CellAppearance` | `getDisabled()`
`java.lang.String` | `getName()` Get view name.
`CellAppearance` | `getNow()`
`BackRenderer` | `getRenderer()` Get cell renderer.
`CellAppearance` | `getScroll()`
`CellAppearance` | `getSelected()`
`CellAppearance` | `getUsual()`
`boolean` | `isEditable()` Is view editable.
`boolean` | `isSupportsTransparency()` Does view support transparency.
`void` | `removePropertyChangeListener(java.beans.PropertyChangeListener listener)`
`void` | `setCaption(CellAppearance caption)`
`void` | `setDisabled(CellAppearance disabled)`
`void` | `setEditable(boolean editable)` Set view editability.
`void` | `setName(java.lang.String name)` Set view name.
`void` | `setNow(CellAppearance now)`
`void` | `setRenderer(BackRenderer renderer)` Set cell renderer.
`void` | `setScroll(CellAppearance scroll)`
`void` | `setSelected(CellAppearance selected)`
`void` | `setSupportsTransparency(boolean supportsTransparency)` Set transparency support.
`void` | `setUsual(CellAppearance usual)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewAppearance

    public ViewAppearance()

  Default constructor, does not make ready to use object.
  Конструктор по умолчанию не создает объекта, готового к использованию.

  Since:
    1.0

### ViewAppearance

    public ViewAppearance(java.lang.String name,
                          CellAppearance usual,
                          CellAppearance selected,
                          CellAppearance now,
                          CellAppearance scroll,
                          CellAppearance caption,
                          CellAppearance disabled,
                          BackRenderer renderer,
                          boolean canBeTransparent)

  Constructs editable calendar view.
  Создает профиль внешнего вида календаря. Со свойством editable = true;

  Since:
    1.0
  See Also:
    `ViewAppearance(String, CellAppearance, CellAppearance, CellAppearance, CellAppearance, CellAppearance, CellAppearance, BackRenderer, boolean, boolean)`

### ViewAppearance

    public ViewAppearance(java.lang.String name,
                          CellAppearance usual,
                          CellAppearance selected,
                          CellAppearance now,
                          CellAppearance scroll,
                          CellAppearance caption,
                          CellAppearance disabled,
                          BackRenderer renderer,
                          boolean canBeTransparent,
                          boolean editable)

  Constructs calendar view.
  Создает профиль внешнего вида календаря.

  Parameters:
    `name` - View name.
    Имя профиля.
    `usual` - Render parameters for usual cells.
    Параметры отображения обычных ячеек.
    `selected` - Render parameters for selected cells.
    Параметры отображения выбранных ячеек.
    `now` - Render parameters for now cells.
    Параметры отображения текущих ячеек.
    `scroll` - Render parameters for scroll cells.
    Параметры отображения прокручиваемых ячеек (принадлежащих соседнему месяцу).
    `caption` - Render parameters for caption cells.
    Параметры отображения ячеек заголовка (с днями недели).
    `disabled` - Render parameters for disabled cells.
    Параметры отображения недоступных ячеек.
    `renderer` - Cell renderer.
    Рисовальщик ячеек.
    `canBeTransparent` - Does this view allow transparency.
    Допускает ли профиль настройки прозрачности ячеек.
    `editable` - Is view editable.
    Допускает ли профиль визуальное редактирование.
  Since:
    1.0

Method Detail

### getUsual

    public CellAppearance getUsual()

  Since:
    1.0

### setUsual

    public void setUsual(CellAppearance usual)

  Since:
    1.0

### getSelected

    public CellAppearance getSelected()

  Since:
    1.0

### setSelected

    public void setSelected(CellAppearance selected)

  Since:
    1.0

### getNow

    public CellAppearance getNow()

  Since:
    1.0

### setNow

    public void setNow(CellAppearance now)

  Since:
    1.0

### getScroll

    public CellAppearance getScroll()

  Since:
    1.0

### setScroll

    public void setScroll(CellAppearance scroll)

  Since:
    1.0

### getName

    public java.lang.String getName()

  Get view name.
  Возвращает имя профиля.

  Since:
    1.0

### setName

    public void setName(java.lang.String name)

  Set view name.
  Устанавливает имя профиля.

  Since:
    1.0

### getCaption

    public CellAppearance getCaption()

  Since:
    1.0

### setCaption

    public void setCaption(CellAppearance caption)

  Since:
    1.0

### getDisabled

    public CellAppearance getDisabled()

  Since:
    1.0

### setDisabled

    public void setDisabled(CellAppearance disabled)

  Since:
    1.0

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

### isEditable

    public boolean isEditable()

  Is view editable.
  Является ли профиль редактируемым.

  Since:
    1.0

### setEditable

    public void setEditable(boolean editable)

  Set view editability.
  Устанавливает редактируемость ячейки.

  Since:
    1.0

### getRenderer

    public BackRenderer getRenderer()

  Get cell renderer.
  Возвращает рисовальщик ячеек.

  Since:
    1.0

### setRenderer

    public void setRenderer(BackRenderer renderer)

  Set cell renderer.
  Устанавливает рисовальщик ячеек.

  Since:
    1.0
  See Also:
    `CellRenderer`

### isSupportsTransparency

    public boolean isSupportsTransparency()

  Does view support transparency.
  Поддерживает ли ячейка настройки прозрачности.

  Since:
    1.0

### setSupportsTransparency

    public void setSupportsTransparency(boolean supportsTransparency)

  Set transparency support.
  Устанавливает для профиля настройки прозрачности.

  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD